PETSc version 3.15.5
Fix/Edit manual page

# MATSELL

MATSELL = "sell" - A matrix type to be used for sparse matrices. This matrix type is identical to MATSEQSELL when constructed with a single process communicator, and MATMPISELL otherwise. As a result, for single process communicators, MatSeqSELLSetPreallocation is supported, and similarly MatMPISELLSetPreallocation is supported for communicators controlling multiple processes. It is recommended that you call both of the above preallocation routines for simplicity.

### Options Database Keys

| -mat_type sell | - sets the matrix type to "sell" during a call to MatSetFromOptions()

### See Also

MatCreateSELL(), MatCreateSeqSELL(), MATSEQSELL, MATMPISELL

### Level

beginner

### Location

src/mat/impls/sell/mpi/mpisell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages